packagekit-command-not-found_1.1.5-2+deb9u1_i386.deb


Advertisement

Description

packagekit-command-not-found - Offer to install missing programs automatically

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename packagekit-command-not-found_1.1.5-2+deb9u1_i386.deb
Package name packagekit-command-not-found
Package version 1.1.5
Package release 2+deb9u1
Package architecture i386
Package type deb
Category misc
Homepage https://www.freedesktop.org/software/PackageKit/
License -
Maintainer Matthias Klumpp <mak@debian.org>
Download size 30.43 KB
Installed size 74.00 KB
PackageKit allows performing simple software management tasks over a DBus
interface e.g refreshing the cache, updating, installing and removing
software packages or searching for multimedia codecs and file handlers.
This package contains a simple handler for command_not_found that offers to
install missing packages on the command line using PackageKit.

Alternatives

Package Version Architecture Repository
packagekit-command-not-found_1.1.5-2+deb9u1_amd64.deb 1.1.5 amd64 Debian Main
packagekit-command-not-found - - -

Requires

Name Value
libc6 >= 2.7
libglib2.0-0 >= 2.46
libpackagekit-glib2-18 >= 0.9.4
packagekit = 1.1.5-2+deb9u1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package packagekit-command-not-found_1.1.5-2+deb9u1_i386.deb
Source Package packagekit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install packagekit-command-not-found deb package:
    # sudo apt-get install packagekit-command-not-found

Files

Path
/etc/PackageKit/CommandNotFound.conf
/etc/profile.d/PackageKit.sh
/usr/lib/packagekit/pk-command-not-found
/usr/share/doc/packagekit-command-not-found/changelog.Debian.gz
/usr/share/doc/packagekit-command-not-found/copyright

Changelog

2018-05-04 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.5-2+deb9u1) stretch-security; urgency=high
* Add 02_dont-set-just_reinstall-on-auth-failure.patch
- Resolves an authentication bypass flaw allowing users
without privileges to install local packages.
(Closes: #896703, CVE-2018-1106)
2017-03-08 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.5-2) unstable; urgency=medium
* aptcc-protect-bad-package-id.patch: Don't crash when
encountering bad package-ids (Closes: #845575)
2017-01-20 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.5-1) unstable; urgency=medium
* New upstream version: 1.1.5
* Drop all patches: Applied upstream
2016-10-21 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.4-3) unstable; urgency=medium
* Remove duplicate description paragraph (Closes: #836290)
* Build-depend on autoconf-archive
2016-10-21 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.4-2) unstable; urgency=medium
* Reject invalid search strings
- Prevents a daemon crash with the aptcc backend and
is one part of resolving #840654.
2016-09-20 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.4-1) unstable; urgency=medium
* New upstream release: 1.1.4
* Drop patches: Applied upstream
* Directly depend on intltool and pkg-config (Closes: #837836)
* toinstall-aptcompliant.patch
- Fixes autoinst resolution
- Fixes installation of recommends
- Does not unconditionally install packages with FromUser=true
* aptcc-exclude-held.patch: Properly exclude held packages from
updates again.
* Update .symbols file
2016-05-12 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.1-1) unstable; urgency=medium
* New upstream release: 1.1.1
* Drop the manual -dbg package in favor of the auto-generated
dbgsym packages
* Drop progress-callback-notified.patch: Applied upstream
* aptcc-full-package-origin.patch: Make aptcc backend return a
complete origin ID
* Use secure Vcs-* URLs
* Bump standards version: No change needed
* debian/rules: Remove some dead logic
2016-03-12 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.0-2) unstable; urgency=medium
* progress-callback-notified.patch: Fix GIR annotations for
PkProgressCallback callbacks in async functions.
This prevents crashes when using PackageKit from languages
like Python.
2016-02-12 - Matthias Klumpp <mak@debian.org>
packagekit (1.1.0-1) unstable; urgency=medium
* New upstream release: 1.1.0
* Drop the browser plugin
- Removed upstream, "appstream://" URLs are much more useful today.
Also, browser plugins will go away in the near future anyway.
- Remove browser plugin information from debian/copyright
* Drop pkid-state-in-data.patch: Applied upstream
* Update symbols file
2016-02-04 - Matthias Klumpp <mak@debian.org>
packagekit (1.0.11-2) unstable; urgency=medium
* pkid-state-in-data.patch: Always set data part of a package-id to
"installed" if the package is installed, and do not include repo
information in that case.
The previous behavior broke GNOME Software removals (Closes: #804094)

See Also

Package Description
packagekit-docs_1.1.5-2+deb9u1_all.deb Documentation for PackageKit
packagekit-gtk3-module_1.1.5-2+deb9u1_i386.deb Install fonts automatically using PackageKit
packagekit-tools_1.1.5-2+deb9u1_i386.deb Provides PackageKit command-line tools
packagekit_1.1.5-2+deb9u1_i386.deb Provides a package management service
packagesearch_2.7.5+b4_i386.deb GUI for searching packages and viewing package information
packaging-dev_0.8_all.deb convenient tools to develop packages
packaging-tutorial_0.19_all.deb introduction to Debian packaging
packer_0.10.2+dfsg-6_i386.deb tool for creating machine images for multiple platforms
packeth_1.6.5-2+b2_i386.deb Ethernet packet generator
packit_1.5-1_i386.deb network injection and capture tool
packup_0.6-3_i386.deb CUDF solver based on pseudo-Boolean constraints
pacman4console_1.3-1+b3_i386.deb ncurses-based pacman game
pacman_10-17.2+b1_i386.deb Chase Monsters in a Labyrinth
paco_0.10-1.1_all.deb Transitional package to pull in porg
pacpl_5.0.1-1_all.deb multi-purpose audio converter/ripper/tagger script
Advertisement
Advertisement